<?php
include_once("incs/conf.php");
include_once("incs/fmysql.php");
include_once("incs/fnc.php");
include_once("incs/head.php");

head("Список пользователей",$meuser,$auth);

$p=fil($_GET['page']);
$s=fil($_GET['sort']);
$q = mysql_query("SELECT u.*, count(m.id) as post FROM user u JOIN forum_post m ON m.id_user = u.id ORDER BY post DESC");
while($r = mysql_fetch_assoc($q))

include_once("incs/title.php");

echo "<div class='head'>Сорт: ";
echo "<a href=\"users.php?sort=id\">id</a> | ";
echo "<a href=\"users.php?sort=new\">новые</a> ";
echo "</div>";


$ban_ok=$user[ban]-$time;
if($ban_ok>0){
echo "Вы забанены по причине:<br>";
echo "<b>$user[ban_prich]</b><br>";
echo "До окончания бана осталось: $ban_ok сек.<br>";
echo "Старайтесь больше не нарушать <a href=\"rules.php\">правила</a> сайта!<br>";
include_once("incs/down.php");
}

if ($_GET['sort']==''){$order='id'; $asc='ASC';}
if (isset($s) && $s=='id'){$order='id'; $asc='ASC';}
if (isset($s) && $s=='new'){$order='id'; $asc='DESC';}
if (isset($s) && $s=='money'){$order='money'; $asc='DESC';}
if (isset($s) && $s=='rating'){$order='rating'; $asc='DESC';}


$reg_users = mysql_num_rows(mysql_query("SELECT `id` FROM `user`"));
if($reg_users==0)
{
echo "Нет зарегестрированых пользователей";
}

if($on==1){
$end=$user[msg_for_page];
}else{
$end=10;}
$skok_pages=ceil($reg_users/$end);
if(!isset($_GET['page'])){
$page=1;
}else{
$page=intval($_GET['page']);
if($page<1){$page=1;}
if($page>$skok_pages){$page=1;}
}
if($page==1 OR $page<1){
$start=0;
}else{
$start=($page-1)*$end;
}

$u=mysql_query("SELECT * FROM `user` ORDER BY $order $asc LIMIT $start, $end");
while ($us = mysql_fetch_array($u))
{
if($num==1){
echo "<div class='reki'>";
$num=0;
}else{
echo "<div class='rek'>";
$num=1;}

 echo "<a href=\"id$us[id]\">".(file_exists("avatar/".$us['id'].$us['avatar']) ? "<img src='avatar/".$us['id'].$us['avatar']."' width='48' height=60' alt='ava' border='0'/>" : "")."</a><br>";
if($us[str]==7){
echo "<img src=\"/img/ru.gif\" alt=\"\"/> ";}
if($us[str]==38){
echo "<img src=\"/img/ua.gif\" alt=\"\"/> ";}
echo"<a href=\"id$us[id]\">$us[nick]</a></br>";

if(!empty($us['ank_d_r']) && !empty($us['ank_m_r']) && !empty($us['ank_g_r']) )
{
$birthg = strtotime($us['ank_d_r'].'-'.$us['ank_m_r'].'-'.$us['ank_g_r']);
	$let = intval((time()-$birthg)/(3600*24*365));
//	echo $birth.'<br />'.$age.'<br />';
 }
 else 
 { 
	$let = 'нет данных =(';
 }
if($us[pol]==0){echo "<img src=\"img/0.png\" alt=\"image\"/>";}
if($us[pol]==1){echo "<img src=\"img/1.png\" alt=\"image\"/>";}   
echo ' Возраст : '.$let.'<br>';
$level=$us[level];

if($level==0){
$level_p='Пользователь';
}
if($level==1){
$level_p='VIP-Пользователь';
}
if($level==2){
$level_p='Модератор чата';
}
if($level==3){
$level_p='Модератор форума';
}
if($level==4){
$level_p='Модератор ЗЦ';
}
if($level==5){
$level_p='Модератор чата, форума';
}
if($level==6){
$level_p='Модератор чата, ЗЦ';
}
if($level==7){
$level_p='Модератор ЗЦ, форума';
}
if($level==8){
$level_p='Модератор чата, ЗЦ, форума';
}
if($level==9){
$level_p='Старшый Модератор';
}
if($level==10){
$level_p='Администратор';
}
if($level==11){
$level_p='Создатель';
}
echo "$level_p<br>";

if($s==id OR $s==""){
echo "ID:$us[id]";
}else if($s=='new'){
echo "ID:$us[id]";
}else if($s==money){
echo "Деньги:$us[money]";
}else if($s==rating){
echo "Рейтинг:$us[rating]";
}



echo "</div>";
}

if($skok_pages>1){
for($i=1;$i<=$skok_pages;$i++){
if($i==$page){
echo "<span class=\"str_t\">$i</span>";
}else{
echo "<span class=\"str_l\"><a href='?sort=$s&page=$i'>$i</a></span>";
}}}
include_once("incs/down.php");
?>